Package ipfs.gomobile.android.bledriver

## Class BleInterface

- java.lang.Object
- - ipfs.gomobile.android.bledriver.BleInterface

- All Implemented Interfaces:
    `core.ProximityDriver`

      public class BleInterface
      extends java.lang.Object
      implements core.ProximityDriver

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DefaultAddr` |
    `static int` | `ProtocolCode` |
    `static java.lang.String` | `ProtocolName` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BleInterface​(android.content.Context context, boolean useExternalLogger)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `BLEHandleFoundPeer​(java.lang.String remotePID)` |
    `static void` | `BLEHandleLostPeer​(java.lang.String remotePID)` |
    `static void` | `BLELog​(Logger.Level level, java.lang.String message)` |
    `static void` | `BLEReceiveFromPeer​(java.lang.String remotePID, byte[] payload)` |
    `void` | `closeConnWithPeer​(java.lang.String remotePID)` |
    `java.lang.String` | `defaultAddr()` |
    `boolean` | `dialPeer​(java.lang.String remotePID)` |
    `long` | `protocolCode()` |
    `java.lang.String` | `protocolName()` |
    `boolean` | `sendToPeer​(java.lang.String remotePID, byte[] payload)` |
    `void` | `start​(java.lang.String localPID)` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DefaultAddr

          public static final java.lang.String DefaultAddr

      See Also:
        Constant Field Values

    - #### ProtocolCode

          public static final int ProtocolCode

      See Also:
        Constant Field Values

    - #### ProtocolName

          public static final java.lang.String ProtocolName

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BleInterface

          public BleInterface​(android.content.Context context,
                              boolean useExternalLogger)

  - ### Method Detail

    - #### BLEHandleFoundPeer

          public static boolean BLEHandleFoundPeer​(java.lang.String remotePID)

    - #### BLEHandleLostPeer

          public static void BLEHandleLostPeer​(java.lang.String remotePID)

    - #### BLEReceiveFromPeer

          public static void BLEReceiveFromPeer​(java.lang.String remotePID,
                                                byte[] payload)

    - #### BLELog

          public static void BLELog​(Logger.Level level,
                                    java.lang.String message)

    - #### start

          public void start​(java.lang.String localPID)

      Specified by:
        `start` in interface `core.ProximityDriver`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `core.ProximityDriver`

    - #### dialPeer

          public boolean dialPeer​(java.lang.String remotePID)

      Specified by:
        `dialPeer` in interface `core.ProximityDriver`

    - #### sendToPeer

          public boolean sendToPeer​(java.lang.String remotePID,
                                    byte[] payload)

      Specified by:
        `sendToPeer` in interface `core.ProximityDriver`

    - #### closeConnWithPeer

          public void closeConnWithPeer​(java.lang.String remotePID)

      Specified by:
        `closeConnWithPeer` in interface `core.ProximityDriver`

    - #### protocolCode

          public long protocolCode()

      Specified by:
        `protocolCode` in interface `core.ProximityDriver`

    - #### protocolName

          public java.lang.String protocolName()

      Specified by:
        `protocolName` in interface `core.ProximityDriver`

    - #### defaultAddr

          public java.lang.String defaultAddr()

      Specified by:
        `defaultAddr` in interface `core.ProximityDriver`